Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Summary:	ObexFTP over Bluetooth support for GNOME
Name:		gnome-vfs-obexftp
Version:	0.4
Release:	4
License:	GPL
Group:		Graphical Desktop/GNOME
URL:		http://www.gnome.org/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-vfs-obexftp/%{version}/gnome-vfs-obexftp-%{version}.tar.bz2
Patch0:		gnome-vfs-obexftp-find-obex-directly.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gawk
BuildRequires:  perl(XML::Parser)
BuildRequires:	gnome-vfs-devel >= 2.15.3
BuildRequires:	dbus-glib-devel >= 0.70
BuildRequires:  openobex-devel
BuildRequires:	expat-devel
BuildRequires:	bluez-devel

%description
gnome-vfs2-obexftp allows you to browse filesystems on mobile phones, or other
computers over Bluetooth, using ObexFTP. It is useful to see pictures taken
with your camera phone, or manage ringtones and themes.

%prep
%setup -q -n gnome-vfs-obexftp-%{version}
%patch0 -p0 -b .obex-search

%build
%configure --enable-nautilus-workaround --disable-dependency-tracking --sysconfdir=%_sysconfdir/gnome

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT/
make install DESTDIR=$RPM_BUILD_ROOT

# remove unpackaged file
rm -f $RPM_BUILD_ROOT%{_libdir}/gnome-vfs-2.0/modules/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog README README.unsupported
%config %{_sysconfdir}/gnome/gnome-vfs-2.0/modules/obex-module.conf
%{_libdir}/gnome-vfs-2.0/modules/*.so

%changelog
* Tue Apr 07 2009 Christian Metzen <metzench@ccux-linux.de> 0.4-4
- moved sysconfdir
* Mon Sep 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.4-3
- rebuilt against bluez 4.5
* Wed Mar 26 2008 Christian Wasem <wasem@ccux-linux.de> 0.4-2
- changed package group to Graphical Desktop/GNOME
* Tue Dec 11 2007 Christian Metzen <metzench@ccux-linux.de> 0.4-1
- Initial release
